#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

newparam(:control_file) do
  include EasyType

  desc <<-DESC
    Specify reuse, to reuse existing control files.
  DESC

  data_type("Enum['reuse']")
  newvalues(:reuse)

  on_apply do
    "CONTROLFILE #{value}"
  end
end
