#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

newparam(:logfile) do
  include EasyType

  desc <<-DESC
    The file to be used as redo log file.
  DESC

  on_apply do
    "LOGFILE #{value}"
  end

  data_type('Optional[String[1]]')
end
