# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:for_sid) do
  include EasyType

  desc <<-DESC
    The SID you want to set the parameter for.
  DESC

  isnamevar

  defaultto do
    resource.scope.to_s == 'SPFILE' ? '*' : nil
  end

  data_type('Optional[String[1]]')
end
