# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:scope) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase

  desc <<-DESC
    The scope of the change.
  DESC

  newvalues(:SPFILE, :MEMORY, :spfile, :memory)
  data_type("Optional[Enum['SPFILE', 'MEMORY', 'spfile', 'memory']]")
end
