# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:password) do
  include EasyType

  desc <<-DESC
    The password to use when connecting to to the database.
  DESC

  to_translate_to_resource do |_raw_resource|
    ''
  end

  data_type('String')

  on_apply do
    "identified by #{value}"
  end
end
