# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:thread_number) do
  include EasyType

  desc <<-DESC
    The thread number.
  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('THREAD#')
  end

  data_type('Optional[Integer]')
end
