# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:ignore_oracle_maintained_warnings) do
  include EasyType

  desc <<-DESC
    This is a parameter that can be used to skip generating warnings on changing or dropping Oracle managed users or roles.
  DESC

  data_type('Optional[Boolean]')
end
