# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:recurse, :boolean => true, :parent => Puppet::Parameter::Boolean) do
  include EasyType

  desc <<-DESC
    When you set this value to true, this ASM directory and all parent directories will be
    automatically created.

  DESC

  defaultto :false

  newvalues(:true, :false)
  data_type('Optional[Boolean]')
end
