#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

newproperty(:mountpath, :parent => ::Puppet_X::EnterpriseModules::Oracle::ReadOnlyProperty) do
  include EasyType

  desc <<-DESC
    The device the volume is mounted on. This is a readonly property.

  DESC

  # TODO: Find out why this doesn't work
  # data_type("Stdlib::Absolutepath")
  data_type('String[1]')

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('MOUNTPATH')
  end
end
