#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

newparam(:oracle_user_password) do
  include EasyType

  defaultto ''

  desc <<-DESC
    The password for the oracle os user.
    Only applicable for Windows systems.
  DESC

  data_type('String')
end
