# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:parameter_name) do
  include EasyType
  include EasyType::Validators::Name
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase

  desc <<-DESC
    The parameter name.
  DESC

  isnamevar

  data_type('String[1]')
end
