# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:owner) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase

  desc <<-DESC
	The owner of the table you want to audit. This is the first part of the title string. The first part before
	the `.`.

      ora_object_audit { 'OWNER.TABLE@SID':
      	...
      }


  DESC

  isnamevar

  data_type('String[1]')
end
