# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-DESC
  The name of the setting. This must be equal to the `sid` of the database.

  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]
  end
  data_type('String')
end
